Name:           maximus
Version:        0.4.14
Release:        1%{?dist}
Summary:        A window management tool

Group:          User Interface/Desktops
License:        GPLv3
URL:            https://launchpad.net/maximus/
Source0:	http://launchpad.net/maximus/0.4/ubuntu-9.10/+download/maximus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel
BuildRequires:  libwnck-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libXtst-devel
BuildRequires:  libfakekey-devel
BuildRequires:  unique-devel
Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%description
A desktop daemon which will automatically maximise and, optionally,
un-decorate windwos. Has support for exclusion lists and will work
with any EWMH-spec compliant window-manager.

Created for netbook environments where normally every window is
maximised and removing the titlebar would give an extra 24px for the
application to display.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
            %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/maximus
%config(noreplace) %{_sysconfdir}/gconf/schemas/maximus.schemas
%config(noreplace) %{_sysconfdir}/xdg/autostart/maximus-autostart.desktop
%doc COPYING AUTHORS

%changelog
* Mon Mar 29 2010 Michel Salim <salimma@fedoraproject.org> - 0.4.14-1
- Update to 0.4.14

* Mon Sep 21 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.12-1
- Update to 0.4.12
- Mark /etc files as %%config(noreplace)

* Mon Sep 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.11-1
- Update to 0.4.11

* Wed May 27 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9

* Sat Apr 18 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8
- Register GConf schemas

* Fri Oct 24 2008 Jonathan Roberts <jonrob@fedoraproject.org> 0.4.0-1
- Updated to latest upstream version
- Fixed spec file for review comments

* Thu Sep 18 2008 Jonathan Roberts <jonrob@fedoraproject.org> 0.3.14-1
- Created initial spec file
